@echo off
rem Syntax: vacbld_objs_to_dll.cmd animals.dll.icc animals.dll main.obj animals.obj somtk.lib
echo option > %1
echo    link(extdictionary, no), >> %1
echo    link(linkwithsharedlib, yes), >> %1
echo    link(libsearchpath, "..\\..\\..\\..\\.."), >> %1
echo    link(linkwithmultithreadlib, "yes"), >> %1
echo    link(padding, "no"), >> %1
echo    link(debug, "no") >> %1
echo { >> %1
echo    target type("dll") "%2" >> %1
echo    { >> %1
rem echo       source type("def") "%3" >> %1
rem rem Ignore .def
:Loop
if [%4]==[] goto Continue
echo       source "%4" >> %1
shift /4
goto Loop
:Continue
echo    } >> %1
echo } >> %1
